CVE Vulnerabilities

CVE-2004-0946

Published: Jan 10, 2005 | Modified: Oct 19, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
10 HIGH
AV:N/AC:L/Au:N/C:C/I:C/A:C
RedHat/V2
RedHat/V3
Ubuntu

rquotad in nfs-utils (rquota_server.c) before 1.0.6-r6 on 64-bit architectures does not properly perform an integer conversion, which leads to a stack-based buffer overflow and allows remote attackers to execute arbitrary code via a crafted NFS request.

Affected Software

Name Vendor Start Version End Version
Nfs-utils Nfs 1.0 1.0
Nfs-utils Nfs 1.0.1 1.0.1
Nfs-utils Nfs 1.0.2 1.0.2
Nfs-utils Nfs 1.0.3 1.0.3
Nfs-utils Nfs 1.0.4 1.0.4
Nfs-utils Nfs 1.0.6 1.0.6
Red Hat Enterprise Linux 2.1 RedHat nfs-utils *
Red Hat Enterprise Linux 3 RedHat nfs-utils-0:1.0.6-33EL *

References